# Connections > AWS Glue Schema Registry

APIs for managing connections that use the `AWSGlueSchemaRegistry` template.

DEPRECATED: This endpoint is deprecated and will be removed in a future version. Use provisioning APIs instead.

## List available connections

> Returns the list of available connections

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_AWSGlueSchemaRegistryConnections","description":"APIs for managing connections that use the `AWSGlueSchemaRegistry` template.\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n DEPRECATED: This endpoint is deprecated and will be removed in a future version. Use provisioning APIs instead.\n"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_ConnectionSummaryResponseWithLrn":{"required":["name","lrn","templateName","templateVersion","deletable"],"type":"object","properties":{"name":{"type":"string"},"lrn":{"type":"string"},"templateName":{"type":"string"},"templateVersion":{"type":"integer"},"tags":{"type":"array","items":{"type":"string"}},"deletable":{"type":"boolean"}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/connection/connection-templates/AWSGlueSchemaRegistry/connections":{"get":{"tags":["agent_AWSGlueSchemaRegistryConnections"],"summary":"List available connections","description":"Returns the list of available connections","operationId":"listAWSGlueSchemaRegistryConnections","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/agent_ConnectionSummaryResponseWithLrn"}}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Add a new connection

> Adds a new connection

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_AWSGlueSchemaRegistryConnections","description":"APIs for managing connections that use the `AWSGlueSchemaRegistry` template.\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n DEPRECATED: This endpoint is deprecated and will be removed in a future version. Use provisioning APIs instead.\n"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_AWSGlueSchemaRegistryConnectionAddRequest":{"required":["name","configurationObject"],"type":"object","properties":{"name":{"type":"string","description":"Name of the connection"},"tags":{"type":"array","items":{"type":"string"}},"configurationObject":{"$ref":"#/components/schemas/agent_AWSGlueSchemaRegistryConnectionConfiguration"}}},"agent_AWSGlueSchemaRegistryConnectionConfiguration":{"required":["glueRegistryArn"],"type":"object","properties":{"glueRegistryArn":{"type":"string","description":"Enter the Amazon Resource Name (ARN) of the Glue schema registry that you want to connect to."},"glueRegistryCacheTtl":{"type":"integer","description":"The period in milliseconds that Lenses will be updating its schema cache from AWS Glue."},"glueRegistryCacheSize":{"type":"integer"},"glueRegistryDefaultCompatibility":{"type":"string","enum":["BACKWARD","BACKWARD_ALL","FORWARD","FORWARD_ALL","FULL","FULL_ALL","NONE"]}}},"agent_AddConnectionResponse":{"required":["name"],"type":"object","properties":{"name":{"type":"string","description":"Name of the connection"}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/connection/connection-templates/AWSGlueSchemaRegistry/connections":{"post":{"tags":["agent_AWSGlueSchemaRegistryConnections"],"summary":"Add a new connection","description":"Adds a new connection","operationId":"createAWSGlueSchemaRegistryConnection","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AWSGlueSchemaRegistryConnectionAddRequest"}}},"required":true},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AddConnectionResponse"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Add a new connection V2

> Adds a new connection V2

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_AWSGlueSchemaRegistryConnections","description":"APIs for managing connections that use the `AWSGlueSchemaRegistry` template.\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n DEPRECATED: This endpoint is deprecated and will be removed in a future version. Use provisioning APIs instead.\n"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_AWSGlueSchemaRegistryConnectionAddRequestV2":{"required":["name","configuration"],"type":"object","properties":{"name":{"type":"string","description":"Name of the connection"},"tags":{"type":"array","items":{"type":"string"}},"configuration":{"$ref":"#/components/schemas/agent_AWSGlueSchemaRegistryConnectionConfigurationV2"}}},"agent_AWSGlueSchemaRegistryConnectionConfigurationV2":{"required":["authMode","glueRegistryArn"],"type":"object","properties":{"accessKeyId":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"Access key ID of an AWS IAM account"},"secretAccessKey":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"Secret access key of an AWS IAM account"},"sessionToken":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"Specifies the session token value that is required if you are using temporary security credentials that you retrieved directly from AWS STS operations"},"authMode":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"Way to authenticate against AWS"},"assumeRoleArn":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"The Amazon Resource Name (ARN) of the IAM role to assume using AWS STS"},"assumeRoleSessionName":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"An identifier for the assumed role session, used to uniquely distinguish sessions when assuming the same role multiple times"},"glueRegistryArn":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}},"description":"Enter the Amazon Resource Name (ARN) of the Glue schema registry that you want to connect to."},"glueRegistryCacheTtl":{"required":["value"],"type":"object","properties":{"value":{"type":"integer"}},"description":"The period in milliseconds that Lenses will be updating its schema cache from AWS Glue."},"glueRegistryCacheSize":{"required":["value"],"type":"object","properties":{"value":{"type":"integer"}}},"glueRegistryDefaultCompatibility":{"required":["value"],"type":"object","properties":{"value":{"type":"string","enum":["BACKWARD","BACKWARD_ALL","FORWARD","FORWARD_ALL","FULL","FULL_ALL","NONE"]}}}}},"agent_AddConnectionResponse":{"required":["name"],"type":"object","properties":{"name":{"type":"string","description":"Name of the connection"}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v2/connection/connection-templates/AWSGlueSchemaRegistry/connections":{"post":{"tags":["agent_AWSGlueSchemaRegistryConnections"],"summary":"Add a new connection V2","description":"Adds a new connection V2","operationId":"createAWSGlueSchemaRegistryConnectionV2","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AWSGlueSchemaRegistryConnectionAddRequestV2"}}},"required":true},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AddConnectionResponse"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Validate a connection

> Validates the connection

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_AWSGlueSchemaRegistryConnections","description":"APIs for managing connections that use the `AWSGlueSchemaRegistry` template.\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n DEPRECATED: This endpoint is deprecated and will be removed in a future version. Use provisioning APIs instead.\n"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_AWSGlueSchemaRegistryConnectionTestRequest":{"required":["name","configurationObject"],"type":"object","properties":{"name":{"type":"string","description":"Name of the connection"},"configurationObject":{"$ref":"#/components/schemas/agent_AWSGlueSchemaRegistryConnectionConfiguration"},"update":{"type":"boolean","description":"*true* if testing an update to an existing connection, *false* if testing a new connection"}}},"agent_AWSGlueSchemaRegistryConnectionConfiguration":{"required":["glueRegistryArn"],"type":"object","properties":{"glueRegistryArn":{"type":"string","description":"Enter the Amazon Resource Name (ARN) of the Glue schema registry that you want to connect to."},"glueRegistryCacheTtl":{"type":"integer","description":"The period in milliseconds that Lenses will be updating its schema cache from AWS Glue."},"glueRegistryCacheSize":{"type":"integer"},"glueRegistryDefaultCompatibility":{"type":"string","enum":["BACKWARD","BACKWARD_ALL","FORWARD","FORWARD_ALL","FULL","FULL_ALL","NONE"]}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/connection/connection-templates/AWSGlueSchemaRegistry/connections/test":{"post":{"tags":["agent_AWSGlueSchemaRegistryConnections"],"summary":"Validate a connection","description":"Validates the connection","operationId":"testAWSGlueSchemaRegistryConnection","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AWSGlueSchemaRegistryConnectionTestRequest"}}},"required":true},"responses":{"200":{"description":""},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Validate a connection V2

> Validates the connection V2

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_AWSGlueSchemaRegistryConnections","description":"APIs for managing connections that use the `AWSGlueSchemaRegistry` template.\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n DEPRECATED: This endpoint is deprecated and will be removed in a future version. Use provisioning APIs instead.\n"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_AWSGlueSchemaRegistryConnectionTestRequestV2":{"required":["name","configuration"],"type":"object","properties":{"name":{"type":"string","description":"Name of the connection"},"configuration":{"$ref":"#/components/schemas/agent_AWSGlueSchemaRegistryConnectionConfigurationV2"},"update":{"type":"boolean","description":"*true* if testing an update to an existing connection, *false* if testing a new connection"}}},"agent_AWSGlueSchemaRegistryConnectionConfigurationV2":{"required":["authMode","glueRegistryArn"],"type":"object","properties":{"accessKeyId":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"Access key ID of an AWS IAM account"},"secretAccessKey":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"Secret access key of an AWS IAM account"},"sessionToken":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"Specifies the session token value that is required if you are using temporary security credentials that you retrieved directly from AWS STS operations"},"authMode":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"Way to authenticate against AWS"},"assumeRoleArn":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"The Amazon Resource Name (ARN) of the IAM role to assume using AWS STS"},"assumeRoleSessionName":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"An identifier for the assumed role session, used to uniquely distinguish sessions when assuming the same role multiple times"},"glueRegistryArn":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}},"description":"Enter the Amazon Resource Name (ARN) of the Glue schema registry that you want to connect to."},"glueRegistryCacheTtl":{"required":["value"],"type":"object","properties":{"value":{"type":"integer"}},"description":"The period in milliseconds that Lenses will be updating its schema cache from AWS Glue."},"glueRegistryCacheSize":{"required":["value"],"type":"object","properties":{"value":{"type":"integer"}}},"glueRegistryDefaultCompatibility":{"required":["value"],"type":"object","properties":{"value":{"type":"string","enum":["BACKWARD","BACKWARD_ALL","FORWARD","FORWARD_ALL","FULL","FULL_ALL","NONE"]}}}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v2/connection/connection-templates/AWSGlueSchemaRegistry/connections/test":{"post":{"tags":["agent_AWSGlueSchemaRegistryConnections"],"summary":"Validate a connection V2","description":"Validates the connection V2","operationId":"testAWSGlueSchemaRegistryConnectionV2","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AWSGlueSchemaRegistryConnectionTestRequestV2"}}},"required":true},"responses":{"200":{"description":""},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Get connection details

> Returns the connection details

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_AWSGlueSchemaRegistryConnections","description":"APIs for managing connections that use the `AWSGlueSchemaRegistry` template.\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n DEPRECATED: This endpoint is deprecated and will be removed in a future version. Use provisioning APIs instead.\n"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_AWSGlueSchemaRegistryConnectionResponse":{"required":["name","lrn","templateVersion","templateName","builtIn","createdBy","createdAt","modifiedBy","modifiedAt","configurationObject","deletable"],"type":"object","properties":{"name":{"type":"string","description":"Name of the connection"},"lrn":{"type":"string"},"templateVersion":{"type":"integer"},"templateName":{"type":"string","description":"The [template](#operation/listConnectionTemplates) of the connection"},"builtIn":{"type":"boolean"},"createdBy":{"type":"string"},"createdAt":{"type":"integer","format":"int64"},"modifiedBy":{"type":"string"},"modifiedAt":{"type":"integer","format":"int64"},"configurationObject":{"$ref":"#/components/schemas/agent_AWSGlueSchemaRegistryConnectionConfiguration"},"tags":{"type":"array","items":{"type":"string"}},"deletable":{"type":"boolean"}}},"agent_AWSGlueSchemaRegistryConnectionConfiguration":{"required":["glueRegistryArn"],"type":"object","properties":{"glueRegistryArn":{"type":"string","description":"Enter the Amazon Resource Name (ARN) of the Glue schema registry that you want to connect to."},"glueRegistryCacheTtl":{"type":"integer","description":"The period in milliseconds that Lenses will be updating its schema cache from AWS Glue."},"glueRegistryCacheSize":{"type":"integer"},"glueRegistryDefaultCompatibility":{"type":"string","enum":["BACKWARD","BACKWARD_ALL","FORWARD","FORWARD_ALL","FULL","FULL_ALL","NONE"]}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/connection/connection-templates/AWSGlueSchemaRegistry/connections/{name}":{"get":{"tags":["agent_AWSGlueSchemaRegistryConnections"],"summary":"Get connection details","description":"Returns the connection details","operationId":"getAWSGlueSchemaRegistryConnection","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"name","in":"path","description":"The name of the connection","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AWSGlueSchemaRegistryConnectionResponse"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Update connection details

> Updates the connection details

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_AWSGlueSchemaRegistryConnections","description":"APIs for managing connections that use the `AWSGlueSchemaRegistry` template.\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n DEPRECATED: This endpoint is deprecated and will be removed in a future version. Use provisioning APIs instead.\n"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_AWSGlueSchemaRegistryConnectionUpsertRequest":{"required":["configurationObject"],"type":"object","properties":{"tags":{"type":"array","items":{"type":"string"}},"configurationObject":{"$ref":"#/components/schemas/agent_AWSGlueSchemaRegistryConnectionConfiguration"}}},"agent_AWSGlueSchemaRegistryConnectionConfiguration":{"required":["glueRegistryArn"],"type":"object","properties":{"glueRegistryArn":{"type":"string","description":"Enter the Amazon Resource Name (ARN) of the Glue schema registry that you want to connect to."},"glueRegistryCacheTtl":{"type":"integer","description":"The period in milliseconds that Lenses will be updating its schema cache from AWS Glue."},"glueRegistryCacheSize":{"type":"integer"},"glueRegistryDefaultCompatibility":{"type":"string","enum":["BACKWARD","BACKWARD_ALL","FORWARD","FORWARD_ALL","FULL","FULL_ALL","NONE"]}}},"agent_AddConnectionResponse":{"required":["name"],"type":"object","properties":{"name":{"type":"string","description":"Name of the connection"}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Conflict":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/connection/connection-templates/AWSGlueSchemaRegistry/connections/{name}":{"put":{"tags":["agent_AWSGlueSchemaRegistryConnections"],"summary":"Update connection details","description":"Updates the connection details","operationId":"updateAWSGlueSchemaRegistryConnectionAgent1","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"name","in":"path","description":"The name of the connection","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AWSGlueSchemaRegistryConnectionUpsertRequest"}}},"required":true},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AddConnectionResponse"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"409":{"description":"The supplied identifier is already being used by another resource","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Conflict"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Delete a connection

> Deletes the connection

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_AWSGlueSchemaRegistryConnections","description":"APIs for managing connections that use the `AWSGlueSchemaRegistry` template.\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n DEPRECATED: This endpoint is deprecated and will be removed in a future version. Use provisioning APIs instead.\n"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Conflict":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/connection/connection-templates/AWSGlueSchemaRegistry/connections/{name}":{"delete":{"tags":["agent_AWSGlueSchemaRegistryConnections"],"summary":"Delete a connection","description":"Deletes the connection","operationId":"deleteAWSGlueSchemaRegistryConnection","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"name","in":"path","description":"The name of the connection","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":""},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"409":{"description":"The supplied identifier is already being used by another resource","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Conflict"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Update connection details V2

> Updates the connection details V2

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_AWSGlueSchemaRegistryConnections","description":"APIs for managing connections that use the `AWSGlueSchemaRegistry` template.\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n DEPRECATED: This endpoint is deprecated and will be removed in a future version. Use provisioning APIs instead.\n"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_AWSGlueSchemaRegistryConnectionUpsertRequestV2":{"required":["configuration"],"type":"object","properties":{"tags":{"type":"array","items":{"type":"string"}},"configuration":{"$ref":"#/components/schemas/agent_AWSGlueSchemaRegistryConnectionConfigurationV2"}}},"agent_AWSGlueSchemaRegistryConnectionConfigurationV2":{"required":["authMode","glueRegistryArn"],"type":"object","properties":{"accessKeyId":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"Access key ID of an AWS IAM account"},"secretAccessKey":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"Secret access key of an AWS IAM account"},"sessionToken":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"Specifies the session token value that is required if you are using temporary security credentials that you retrieved directly from AWS STS operations"},"authMode":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"Way to authenticate against AWS"},"assumeRoleArn":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"The Amazon Resource Name (ARN) of the IAM role to assume using AWS STS"},"assumeRoleSessionName":{"required":["reference"],"type":"object","properties":{"reference":{"type":"string"}},"description":"An identifier for the assumed role session, used to uniquely distinguish sessions when assuming the same role multiple times"},"glueRegistryArn":{"required":["value"],"type":"object","properties":{"value":{"type":"string"}},"description":"Enter the Amazon Resource Name (ARN) of the Glue schema registry that you want to connect to."},"glueRegistryCacheTtl":{"required":["value"],"type":"object","properties":{"value":{"type":"integer"}},"description":"The period in milliseconds that Lenses will be updating its schema cache from AWS Glue."},"glueRegistryCacheSize":{"required":["value"],"type":"object","properties":{"value":{"type":"integer"}}},"glueRegistryDefaultCompatibility":{"required":["value"],"type":"object","properties":{"value":{"type":"string","enum":["BACKWARD","BACKWARD_ALL","FORWARD","FORWARD_ALL","FULL","FULL_ALL","NONE"]}}}}},"agent_AddConnectionResponse":{"required":["name"],"type":"object","properties":{"name":{"type":"string","description":"Name of the connection"}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Conflict":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v2/connection/connection-templates/AWSGlueSchemaRegistry/connections/{name}":{"put":{"tags":["agent_AWSGlueSchemaRegistryConnections"],"summary":"Update connection details V2","description":"Updates the connection details V2","operationId":"updateAWSGlueSchemaRegistryConnection V2","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"name","in":"path","description":"The name of the connection","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AWSGlueSchemaRegistryConnectionUpsertRequestV2"}}},"required":true},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_AddConnectionResponse"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"409":{"description":"The supplied identifier is already being used by another resource","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Conflict"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```
